curl --request GET \
--url https://api.splose.com/v1/support-items/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/support-items/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/support-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"appointmentId": 1,
"type": "Provider Travel",
"itemCode": "123_456_7890",
"pricing": 193.99,
"toMinutes": 20,
"returnMinutes": 20,
"appointmentAddress": "123 King William Street, Adelaide SA, 5000",
"unit": "km",
"quantity": null,
"note": "Some notes",
"deletedAt": "2023-07-30T09:00:00.000Z",
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Get a single support-item
Get support-item data by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
x > 01
Response
Object with support-item data.
Support item id
x > 01
Appointment id of the support item
x > 01
Support item type
Provider Travel, Provider Travel - Non-Labour Costs, Activity Based Transport "Provider Travel"
Support item code
"123_456_7890"
The appointment unit price, in dollar
193.99
Minutes spent on travelling to the patient for provider travel
20
Minutes spent traveling from the patient for provider travel
20
The appointment address for provider travel
"123 King William Street, Adelaide SA, 5000"
The support item unit
"km"
The support item quantity
null
The support item note
"Some notes"
Object archived date time
"2023-07-30T09:00:00.000Z"
Object creation date time
"2023-07-30T09:00:00.000Z"
Object update date time
"2023-07-30T09:00:00.000Z"